QName
Date: 2016-04-28

org.apache.xmlgraphics.util

## Class QName

- java.lang.Object
- - org.apache.xmlgraphics.util.QName

- All Implemented Interfaces:
    java.io.Serializable

      public class QName
      extends java.lang.Object
      implements java.io.Serializable

  Represents a qualified name of an XML element or an XML attribute.

  Note: This class allows to carry a namespace prefix but it is not used in the equals() and hashCode() methods.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QName(java.lang.String namespaceURI, java.lang.String qName)` Main constructor.
    `QName(java.lang.String namespaceURI, java.lang.String prefix, java.lang.String localName)` Main constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getLocalName()`
    `java.lang.String` | `getNamespaceURI()`
    `java.lang.String` | `getPrefix()`
    `java.lang.String` | `getQName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QName

          public QName(java.lang.String namespaceURI,
               java.lang.String prefix,
               java.lang.String localName)

      Main constructor.
      Parameters:
        `namespaceURI` - the namespace URI
        `prefix` - the namespace prefix, may be null
        `localName` - the local name

    - #### QName

          public QName(java.lang.String namespaceURI,
               java.lang.String qName)

      Main constructor.
      Parameters:
        `namespaceURI` - the namespace URI
        `qName` - the qualified name

  - ### Method Detail

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Returns:
        the namespace URI

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns:
        the namespace prefix

    - #### getLocalName

          public java.lang.String getLocalName()

      Returns:
        the local name

    - #### getQName

          public java.lang.String getQName()

      Returns:
        the fully qualified name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`